<a
  [attr.aria-describedby]="feedItem.id + '-description'"
  [attr.aria-labelledby]="feedItem.id + '-title'"
  [href]="routerLink ?? './' + feedItem.id"
  [routerLink]="routerLink ?? ['./', feedItem.id]"
  [state]="state"
  lang="de"
  tabindex="0"
  translate="yes"
>
  <ion-card class="default-card subtle-elevation">
    <img
      *ngIf="imageUrl"
      [alt]="feedItem.image?.description"
      [height]="feedItem.image?.thumbnail?.height"
      [src]="imageUrl"
      [width]="feedItem.image?.thumbnail?.width"
    />
    <div class="card-content">
      <span
        [id]="feedItem.id + '-title'"
        [innerHTML]="feedItem.title"
        aria-level="2"
        class="card-title content-font"
      >
      </span>
      <ion-card-content
        [id]="feedItem.id + '-description'"
        [lang]="translateService.getActiveLang()"
        translate="no"
      >
        <span class="date">{{
          feedItem.startDate | localizedRelativeTimePipe: true
        }}</span>
      </ion-card-content>
    </div>

    @if (feedItem.status !== eventStatus.scheduled) {
      <div
        class="status-content"
        [ngStyle]="feedItem.status | eventStatusStyles"
      >
        <lib-event-status-content
          [status]="feedItem.status"
        ></lib-event-status-content>
      </div>
    }
  </ion-card>
</a>
